Bug 1310444 - Request for asterisk and asterisk-sounds-core in EPEL 7
Request for asterisk and asterisk-sounds-core in EPEL 7
Status: ASSIGNED
Product: Fedora EPEL
Classification: Fedora
Component: asterisk (Show other bugs)
epel7
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-21 11:08 EST by Fredrik Fornstad
Modified: 2017-09-17 18:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fredrik Fornstad 2016-02-21 11:08:13 EST
Description of problem:
Thanks for very good work. It would be nice to have asterisk and asterisk-sounds-core in EPEL 7. If you can consider this, then a small change is neccessary in the asterisk.spec file: RHEL 7 contains speex 1.2-0.19-rc1 which is before speexdsp was put in a separate package (the split happened for speex 1.2rc2).

Row 107:   BuildRequires:    speexdsp-devel >= 1.2

should therefore (I think) be encapsulated in a if-statement like this:

%if (0%{?fedora} > 21 || 0%{?rhel} > 7)
BuildRequires:    speexdsp-devel >= 1.2
%endif

Also, dahdi-tools, libpri, libss7, libresample and ices must also be in EPEL 7 due to dependencies.

Additionally, it would also be nice to have asterisk-sounds-core in EPEL 7.



Version-Release number of selected component (if applicable):
Latest spec file (with the above fix of speexdsp) and sources seems to work when I built it on local Centos7.

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
asterisk and asterisk-sounds-core missing in EPEL 7

Expected results:
asterisk and asterisk-sounds-core available in EPEL 7

Additional info:
Comment 1 Jared Smith 2016-09-28 18:12:25 EDT
I have a set of Asterisk 14.0.1 packages for EPEL built at https://copr.fedorainfracloud.org/coprs/jsmith/asterisk14/ while I'm waiting to get proper commit rights for the dependencies to be in EPEL.

Please test them out and let me know how they work, etc.

Note You need to log in before you can comment on or make changes to this bug.